package com.goafanti.common.dao;

import org.apache.ibatis.annotations.Param;

import com.goafanti.common.model.DemandInterest;

public interface DemandInterestMapper {
    int deleteByPrimaryKey(@Param("id")String id,@Param("uid")String uid);

    int insert(DemandInterest record);

    int insertSelective(DemandInterest record);

    DemandInterest selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(DemandInterest record);

    int updateByPrimaryKey(DemandInterest record);

	DemandInterest selectDemandInterestByUidAndDemandId(String uid, String id);
	
	int countInterestById(@Param("id")String id);

	int checkUidAndDid(@Param("uid")String uid, @Param("id")String id);

	int deleteInterest(@Param("uid")String uid, @Param("objectId")String objectId);

	int  checkCount(@Param("uid")String uid);

	
}